<?php

/**
 * @file
 * Display data for astrology.
 */
 $astrology = variable_get('astrology_default', 1);
 $query = db_select('astrology_signs', 'h')
   ->fields('h', array('name'))
   ->condition('name', $sign)
   ->condition('astrology_id ', $astrology)
   ->execute();
 $t1 = $query->rowCount();
 if(!$t1){drupal_not_found();drupal_exit();
 }
// +1 for day of week as Monday.
 $fdow = mktime(0, 0, 0, date("n"), date("j") - date("N"));
// +7 to the last day of week that is Sunday.
 $ldow = mktime(0, 0, 0, date("n"), date("j") - date("N") + 6);
 $query = db_select('astrology_signs', 'h')
   ->fields('h', array('id', 'icon', 'name',
     'date_from_range', 'date_to_range', 'about_sign',
   ))
   ->condition('name', $sign)
   ->condition('astrology_id ', $astrology)
   ->execute();
 $row = $query->fetchObject();
 $about_sign = substr($row->about_sign, 0, strpos($row->about_sign, '.', 500));
 $fromdate = explode('/', $row->date_from_range);
 $todate = explode('/', $row->date_to_range);
 $frommonth = $fromdate[0];
 $fromday = $fromdate[1];
 $tomonth = $todate[0];
 $today = $todate[1];
 $lsign = drupal_strtolower($sign);
 switch($get){
   case 'day':
     $format = 'z';
     $date = date('z');
     break;

   case 'week':
     $format = 'W';
     $date = date('W');
     break;

   case 'month':
     $format = 'n';
     $date = date('n');
     break;

   case 'year':
     $format = 'o';
     $date = date('o');
     break;
 }

/**
 * Display text for astrology signs based on current format.
 */

 $query1 = db_select('astrology_text', 'h')
   ->fields('h', array('text', 'id'))
   ->condition('value', $date)
   ->condition('astrology_sign_id', $row->id)
   ->condition('format_character', $format)
   ->execute();
 $img = '<img src="' . file_create_url($row->icon) . '" alt="' . $row->name . '" height="75' . '" width="75' . '"  />';
 if($format == 'z'){$d_format = 'l, j F';
 }elseif($format == 'W'){$d_format = 'j, F';
 }elseif($format == 'n'){$d_format = 'F';
 }else{$d_format = 'o';
 }
 ?>
 <div id="astrology" class="astrology-date">
   <h3><p><?php if($get == 'week') {print date($d_format, $fdow) . ' to ' . date($d_format, $ldow);
  }else{print date($d_format);
  } ?></p></h3>
 </div>
 <?php
   print t('<h1><a href="@name-url">!name</a></h1>',
    array('@name-url' => url('astrology/' . drupal_strtolower($row->name)), '!name' => $row->name));

   print l($img, 'astrology/' . drupal_strtolower($row->name), array('html' => TRUE));
   print "<h4>" . date('M, j', mktime(0, 0, 0, $frommonth, $fromday)) . ' - ' . date('M, j', mktime(0, 0, 0, $tomonth, $today)) . "</h4>";
   if($row1 = $query1->fetchObject()) {
     $text = $row1->text;
   }
   else {
     $text = "";
   }
 ?>
 <div id="astrology" class="astrology-text">
   <p><?php print t(':text', array(':text' => $text)); ?></p>
 </div>
 <div id="astrology" class="astrology-hlink">
   <?php
     if($get == 'day') {
       print "<li>" . l(t('Astrology for Week'), 'astrology/' . $lsign . '/week') . "</li>";
       print "<li>" . l(t('Astrology for Month'), 'astrology/' . $lsign . '/month') . "</li>";
       print "<li>" . l(t('Astrology for Year'), 'astrology/' . $lsign . '/year') . "</li>";
       print "<li>" . l(t('Find your Sun-Sign'), 'astrology/birth_sign') . "</li>";
     }elseif($get == 'week') {
       print "<li>" . l(t('Astrology for Today'), 'astrology/' . $lsign . '/day') . "</li>";
       print "<li>" . l(t('Astrology for Month'), 'astrology/' . $lsign . '/month') . "</li>";
       print "<li>" . l(t('Astrology for Year'), 'astrology/' . $lsign . '/year') . "</li>";
       print "<li>" . l(t('Find your Sun-Sign'), 'astrology/birth_sign') . "</li>";
     }elseif($get == 'month') {
       print "<li>" . l(t('Astrology for Today'), 'astrology/' . $lsign . '/day') . "</li>";
       print "<li>" . l(t('Astrology for Week'), 'astrology/' . $lsign . '/week') . "</li>";
       print "<li>" . l(t('Astrology for Year'), 'astrology/' . $lsign . '/year') . "</li>";
       print "<li>" . l(t('Find your Sun-Sign'), 'astrology/birth_sign') . "</li>";
     }else {
       print "<li>" . l(t('Astrology for Today'), 'astrology/' . $lsign . '/day') . "</li>";
       print "<li>" . l(t('Astrology for Week'), 'astrology/' . $lsign . '/week') . "</li>";
       print "<li>" . l(t('Astrology for Month'), 'astrology/' . $lsign . '/month') . "</li>";
       print "<li>" . l(t('Find your Sun-Sign'), 'astrology/birth_sign') . "</li>";
     }
   ?>
 </div>
 <?php
   print t('<h1> About the <a href="@name-url">!name</a></h1>',
    array('@name-url' => url('astrology/' . drupal_strtolower($row->name)), '!name' => $row->name));
   print l($img, 'astrology/' . drupal_strtolower($row->name), array('html' => TRUE));
   print "<h4>" . $row->date_from_range . ' - ' . $row->date_to_range . "</h4>";
   print $about_sign;
 ?>
 <div id="astrology" class="astrology-date">
   <p><?php print l(t('Read more'), 'astrology/' . $lsign);?></p>
 </div>
